Description

SYMPTOM: ICARUS tried connecting Online Monitoring to a Dispatcher running in a system where EventBuilders were writing to
disk and sending to the Dispatcher. The OM crashed almost immediately with an art error message mentioning that no products
matching 'std::vector<artdaq::Fragment>' were found in the event. Further investigation of the Dispatcher art process showed that the
Fragments were indeed not present. Adding a DataLogger between the EventBuilders and the Dispatcher resolved the problem.

SOLUTION: This is caused by a shortcoming in DAQInterface's bookkeeping of the "init_fragment_count" parameter. It was not
checking that the Dispatcher init_fragment_count was at least 1 after counting the number of DatalLoggers sending to the Dispatcher.
| have added logic where if "init_fragment_count" is 0 after checking the DatalLoggers, it then assumes that the EventBuilders are
sending directly to the Dispatcher and counts them, instead.

History

#1 - 10/07/2020 07:56 AM - Eric Flumerfelt

- Status changed from New to Resolved

Resolved by artdag-utilities-daginterface:bugfix/25055_bookkeeping_EBtoDI

#2 - 10/07/2020 03:26 PM - Gennadiy Lukhanin

- Status changed from Resolved to Reviewed

Tested on the Icarus cluster; see logs for Runs 2756..2760.

#3 - 10/23/2020 12:30 PM - Eric Flumerfelt

- Project changed from artdaq to artdaq Utilities

#4 - 10/23/2020 12:30 PM - Eric Flumerfelt
- Target version set to artdaq_daqinterface v3_09_02

- Status changed from Reviewed to Closed
